Get Company Signal Types
Returns the full list of supported signal types for companies.
GET
/
v3
/
companies
/
signals
/
types
Get Company Signal Types
curl --request GET \
--url https://api.lusha.com/v3/companies/signals/types \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/signals/types"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/signals/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/signals/types")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/signals/types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"signalTypes": [
"allSignals",
"linkedinActivityIntent",
"newIntentTopic",
"intentScoreIncrease",
"intentScoreDecrease",
"intentTopicRemoved",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"linkedinFollowersIncrease",
"linkedinFollowersDecrease",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"riskNews",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"peopleNews",
"marketIntelligenceNews",
"productActivityNews"
]
}
Call this endpoint to get the current, authoritative list of
Authentication: API key (
signalTypes values accepted by Company Signals. Use it instead of hardcoding signal type strings, so your integration picks up new types automatically as Lusha adds them.
Endpoint
GET https://api.lusha.com/v3/companies/signals/types
ApiKeyAuth)
This endpoint has no parameters.
Example request
cURL
curl --request GET \
--url https://api.lusha.com/v3/companies/signals/types \
--header 'api_key: YOUR_API_KEY'
Response
200 - Success
string[]
All valid
signalTypes values for Company Signals.{
"signalTypes": [
"allSignals",
"linkedinActivityIntent",
"newIntentTopic",
"intentScoreIncrease",
"intentScoreDecrease",
"intentTopicRemoved",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"linkedinFollowersIncrease",
"linkedinFollowersDecrease",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"riskNews",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"peopleNews",
"marketIntelligenceNews",
"productActivityNews"
]
}
Error codes
| Status | Meaning |
|---|---|
401 | Unauthorized - your API key is missing or invalid. |
403 | Forbidden - account inactive or V3 access not enabled. |
Related pages
- Company Signals - retrieve signal data for specific companies
- Get Company Signal Filters - discover which signal filter types are available
- Signals overview - the consolidated signals model
Was this page helpful?
⌘I
Get Company Signal Types
curl --request GET \
--url https://api.lusha.com/v3/companies/signals/types \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/companies/signals/types"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/companies/signals/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/companies/signals/types")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/companies/signals/types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"signalTypes": [
"allSignals",
"linkedinActivityIntent",
"newIntentTopic",
"intentScoreIncrease",
"intentScoreDecrease",
"intentTopicRemoved",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"linkedinFollowersIncrease",
"linkedinFollowersDecrease",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"riskNews",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"peopleNews",
"marketIntelligenceNews",
"productActivityNews"
]
}